Subject: FIPS nondestr. partition splitter V0.2 available
From: Arno Schaefer <[email-masked]>
Date: 28 Apr 1993 10:49:57 +0300
Newsgroups: comp.os.linux.announce

I have uploaded the new version of my program FIPS to sunsite.unc.edu.
The path is pub/Linux/system/Install/fips02alpha.tar.Z

FIPS is a program to non-destructively split DOS-partitions.
You will need a defragmentation program to move your data to the beginning
of the partition.

This is the second release of FIPS. The version number is 0.2 alpha.
It has not been extensively tested, so be careful!

See below for an introduction.

Direct all questions to [email-masked]

Changes from the previous release:

Version 0.2 alpha - april 27, 1993

- added commandline switches to override certain error messages and
  use FIPS non-interactively

- test mode without writing added

- debug mode added (writes a session transcript + additional info to a file)

- more informative error messages

- display of verbose error messages may be selected

- error checking is now more 'dos-like' (more unusual configurations
  accepted)

- possibility to reedit the partition table without restarting the program

- added the number of megabytes to the partition table display

- now works correctly with drives that only have one free partition

- now supports more than two harddisks on a PC

- some minor fixes

- FIPS is now compressed with UNIX' compress instead of gzip

>From the doc:

1. Introduction

The program was inspired by the Linux Project. When installing Linux on a
PC that was used for DOS / Windows, many people want to retain a smaller
partition for their DOS software. However, since most Harddisks contain
only one large partition, you would normally be required to do a complete
backup, erase the partition and build two (or more) new partitions. Then you
would restore the backup to one of the new partitions.
This is a very time consuming activity and requires lots of diskettes (why
buy 50+ disks only to once backup and restore your HD?).
FIPS was written to remedy this problem. You can now split a partition
without losing any data, provided there is enough free space for the new
partition at the end of the old one.

2. Safety

FIPS was specifically designed to provide a maximum of safety. On startup
it checks the Partition Table, Boot Sector and FAT for any inconsistencies.
If it finds anything suspicious, it will tell you so. If there are errors,
FIPS will not proceed.
You have the possibility to write backup copies of your root- and bootsector
to a floppy disk before proceeding. If something goes wrong, you may restore
these with the program 'restorrb.exe'.
After you have entered the start cylinder for the new partition, FIPS will
check if the new partition is completely empty by examining the FAT of the
old one. If it is not, FIPS will stop.
After having calculated the new Partition Table and Bootsector, FIPS will
check them again, so that eventual bugs in the calculation may be detected.
Only if everything is ok, FIPS will ask for permission to write the new
Root- and Bootsector.

3. Restrictions

FIPS will only work with Hard Disk BIOSes that use interrupt 13h for low
level harddisk access. I don't know if there exist others, but if you happen
to have one (large SCSI disks, perhaps?), FIPS will most certainly not find
any meaningful data and thus will exit without attempting to write anything.

FIPS will only work on disks with a sector size of 512 bytes.
It seems that DOS is prepared to deal with different sector sizes, but so
far I did not hear of formatting programs that use this possibility.
If anybody can tell me anything about it, I may incorporate this in a later
release.

FIPS will not split partitions with 12-bit FATs (you would not want to split
partitions with less than 10 MB, would you?).

FIPS will only split DOS partitions. Partition Table and Bootsector must
conform to the MSDOS 3.0+ conventions. This is marked by the system
indicator byte in the partition table, it must have the value 4 (16-bit
sector number) or 6 (32-bit sector number).
It will especially *not* split Linux-partitions.

FIPS does not yet work on extended DOS partitions.

FIPS will not work if you already have four partitions, since it needs one
free partition entry.

FIPS will not reduce the original partition to a size with less than 4085
clusters, because this would imply rewriting the 16-bit FAT to a 12-bit FAT.

Last but not least: FIPS will not work on partitions that were compressed
with Stacker/Doublespace/Superstor.

--------------------------------------------------------------------------------
Arno Schaefer				ENSIMAG, 2e Annee
Email: [email-masked]
Tel.: (33) 76 51 79 95			:-)
------- No, you're not paranoid - the world is really out to get you -----------